Page MenuHomePhabricator

Provide nginx support in compile_redirects()
Closed, ResolvedPublic

Description

Currently compile_redirects() only supports Apache. We need to provide nginx support as well to be able to set up the non-canonical redirect service

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 29 2019, 7:33 AM
Vgutierrez triaged this task as Medium priority.May 29 2019, 7:33 AM

Change 513077 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] redirects.dat: Get rid of Apache specific variables

https://gerrit.wikimedia.org/r/513077

Change 513141 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] redirects.dat: Get rid of www.*.wikipedia.[com,net,info]

https://gerrit.wikimedia.org/r/513141

Change 513279 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] redirects.dat: Provide support for nginx in compile_redirects()

https://gerrit.wikimedia.org/r/513279

Change 513077 merged by Vgutierrez:
[operations/puppet@production] redirects.dat: Get rid of Apache specific variables

https://gerrit.wikimedia.org/r/513077

Change 513141 merged by Vgutierrez:
[operations/puppet@production] redirects.dat: Get rid of www.*.wikipedia.[com,net,info]

https://gerrit.wikimedia.org/r/513141

ema moved this task from Triage to TLS on the Traffic board.Jun 3 2019, 3:10 PM

Change 515020 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] redirects.dat: Get rid of redundant wikiipedia.org entries

https://gerrit.wikimedia.org/r/515020

Change 515022 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] redirects.dat: Remove redirections for invalid DNS entries

https://gerrit.wikimedia.org/r/515022

Change 515024 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] redirects.dat: Remove redundant wikipedia.com rules

https://gerrit.wikimedia.org/r/515024

Change 515025 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] redirects.dat: Remove redundant wikipedia.net redirections

https://gerrit.wikimedia.org/r/515025

Change 515026 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] redirects.dat: Remove redundant rules for wiktionary.com

https://gerrit.wikimedia.org/r/515026

Change 515020 merged by Vgutierrez:
[operations/puppet@production] redirects.dat: Get rid of redundant wikiipedia.org entries

https://gerrit.wikimedia.org/r/515020

Change 515022 merged by Vgutierrez:
[operations/puppet@production] redirects.dat: Remove redirections for invalid DNS entries

https://gerrit.wikimedia.org/r/515022

Change 515024 merged by Vgutierrez:
[operations/puppet@production] redirects.dat: Remove redundant wikipedia.com rules

https://gerrit.wikimedia.org/r/515024

Change 515025 merged by Vgutierrez:
[operations/puppet@production] redirects.dat: Remove redundant wikipedia.net redirections

https://gerrit.wikimedia.org/r/515025

Change 515026 merged by Vgutierrez:
[operations/puppet@production] redirects.dat: Remove redundant rules for wiktionary.com

https://gerrit.wikimedia.org/r/515026

Change 513279 merged by Vgutierrez:
[operations/puppet@production] redirects.dat: Provide support for nginx in compile_redirects()

https://gerrit.wikimedia.org/r/513279

Vgutierrez closed this task as Resolved.Jul 5 2019, 6:21 AM
Vgutierrez removed a project: Patch-For-Review.